CharEqualTo Class Reference

Public class that encapsulates generic character equal_to functor. More...

`#include <GenString.h>`

Inheritance diagram for CharEqualTo:
Collaboration diagram for CharEqualTo:

## Public Member Functions

| CharEqualTo (Char::eCompareType compareType=Char::eCASE_SENSITIVE)
CharEqualTo & | operator= (const CharEqualTo &in)
bool | operator() (const char c1, const char c2) const
Char::eCompareType | GetCompareType ()

## Detailed Description

Public class that encapsulates generic character equal_to functor.

This class is equal_to functor for generic character. It supports the following compare types: case-sensitive and case-insensitive.

## Constructor & Destructor Documentation

## CharEqualTo()

CharEqualTo::CharEqualTo | ( | Char::eCompareType | compareType = `Char::eCASE_SENSITIVE` | ) |

## Member Function Documentation

## GetCompareType()

Char::eCompareType CharEqualTo::GetCompareType | ( |  | ) |

inline

## operator()()

bool CharEqualTo::operator() | ( | const char | c1,
|  | const char | c2
| ) |  | const

## operator=()

CharEqualTo& CharEqualTo::operator= | ( | const CharEqualTo & | in | ) |

The documentation for this class was generated from the following file:

- rcsb/GenString.h